Summary:	Perl modules to manipulates Ipv4 addresses
Name:		perl-Net-IPv4Addr
Version:	0.10
Release: 3mdk

Source:		http://iNDev.iNsu.COM/sources/Net-IPv4Addr-%{version}.tar.bz2

Copyright:	GPL or Artistic License
Group:		System/Configuration/Networking
URL:		http://iNDev.iNsu.COM/IPv4Addr/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArchitectures: noarch

%description
Net::IPv4Addr provides methods for parsing IPv4 addresses both in traditional
address/netmask format and in the new CIDR format. There are also methods for
calculating the network and broadcast address and also to see check if a given
address is in a specific network.

%prep
%setup -n Net-IPv4Addr-%{version}

%build
perl Makefile.PL 
make 	OPTIMIZE="$RPM_OPT_FLAGS" \
	PREFIX=$RPM_BUILD_ROOT/usr \
        MAN1EXT=8 \
        INSTALLBIN=$RPM_BUILD_ROOT/%{_sbindir} \
        INSTALLSCRIPT=$RPM_BUILD_ROOT/%{_sbindir} \
        INSTALLMAN8DIR=$RPM_BUILD_ROOT/%{_mandir}/man8 \
        INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3
#make test

%install
rm -fr $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib

echo `pwd`
mkdir -p $RPM_BUILD_ROOT/$installarchlib/Net
install blib/lib/Net/IPv4Addr.pm  $RPM_BUILD_ROOT/$installarchlib/Net

mkdir -p $RPM_BUILD_ROOT/$installarchlib/auto/Net/IPv4Addr
install blib/lib/auto/Net/IPv4Addr/autosplit.ix $RPM_BUILD_ROOT/$installarchlib/auto/Net/IPv4Addr

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man{3,8}
cp -a blib/man1/* $RPM_BUILD_ROOT/%{_mandir}/man8
cp -a blib/man3/* $RPM_BUILD_ROOT/%{_mandir}/man3

mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
cp -a blib/script/ipv4calc $RPM_BUILD_ROOT/%{_sbindir}

%clean
rm -fr $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README ChangeLog
%{_mandir}/man3/*
%{_mandir}/man8/*
%{_sbindir}/ipv4calc
%_libdir/perl*/*/%_arch-linux/Net/*
%_libdir/perl*/*/%_arch-linux/auto/*/*/*

%changelog
* Fri May  4 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10-3mdk
- recompile against 5.6.1

* Fri Dec 08 2000 David BAUDENS <baudens@mandrakesoft.com> 0.10-2mdk
- Don't think that ix86 CPUs are alone in CPUs constellation

* Wed Oct 18 2000  Florin Grad <florin@mandrakesoft.com> 0.10-1mdk
- mandrake adaptations

* Tue Aug 01 2000  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.10-1i]
- Updated to version 0.10.
- Updated spec file to use new macros.

* Wed May 03 2000  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.09-1i]
- Updated to version 0.09.
- Updated automatic file list generation.
- Changed group.

* Wed Dec 15 1999  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.08-1i]
- Updated to version 0.08.
- Added perl(Net::IPv4Addr) to list of Provides.
- Fixed Source URL.

* Tue Oct 19 1999  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.07-1i]
- Updated to version 0.07

* Tue Oct 19 1999  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.06-1i]
- Updated to version 0.06.
- Renamed package to Net-IPv4Addr.

* Wed Sep 15 1999  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.05-1i]
- Updated to version 0.05.

* Sun Aug 15 1999  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.04-1i]
- Updated to version 0.04.

* Mon Jul 05 1999  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.03-1i]
- Updated to version 0.03.

* Sat May 15 1999  Francis J. Lacoste <francis@iNsu.COM> 
  [0.02-2i]
- Updated to version 0.02.

* Sat May 15 1999  Francis J. Lacoste <francis@iNsu.COM> 
  [0.01-1i]
- First RPM release.

